Up

# NSExpression class documentation

### Authors

Generated by Debian

# Software documentation for the NSExpression class

## NSExpression : NSObject

> Declared in:
>   Foundation/NSExpression.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: MacOS-X 10.4.0
Description forthcoming.

Instance Variables
Method summary

- +expressionForConstantValue:
- +expressionForEvaluatedObject
- +expressionForFunction:arguments:
- +expressionForKeyPath:
- +expressionForVariable:
- -arguments
- -constantValue
- -expressionType
- -expressionValueWithObject:context:
- -function
- -initWithExpressionType:
- -keyPath
- -operand
- -variable

### expressionForConstantValue:

+ (NSExpression*) expressionForConstantValue: (id)obj;
Availability: MacOS-X 10.4.0
Description forthcoming.

### expressionForEvaluatedObject

+ (NSExpression*) expressionForEvaluatedObject;
Availability: MacOS-X 10.4.0
Description forthcoming.

### expressionForFunction: arguments:

+ (NSExpression*) expressionForFunction: (NSString*)name arguments: (NSArray*)args;
Availability: MacOS-X 10.4.0
Description forthcoming.

### expressionForKeyPath:

+ (NSExpression*) expressionForKeyPath: (NSString*)path;
Availability: MacOS-X 10.4.0
Description forthcoming.

### expressionForVariable:

+ (NSExpression*) expressionForVariable: (NSString*)string;
Availability: MacOS-X 10.4.0
Description forthcoming.

### arguments

- (NSArray*) arguments;
Availability: MacOS-X 10.4.0
Description forthcoming.

### constantValue

- (id) constantValue;
Availability: MacOS-X 10.4.0
Description forthcoming.

### expressionType

- (NSExpressionType) expressionType;
Availability: MacOS-X 10.4.0
Description forthcoming.

### expressionValueWithObject: context:

- (id) expressionValueWithObject: (id)object context: (NSMutableDictionary*)context;
Availability: MacOS-X 10.4.0
Description forthcoming.

### function

- (NSString*) function;
Availability: MacOS-X 10.4.0
Description forthcoming.

### initWithExpressionType:

- (id) initWithExpressionType: (NSExpressionType)type;
Availability: MacOS-X 10.4.0
Description forthcoming.

### keyPath

- (NSString*) keyPath;
Availability: MacOS-X 10.4.0
Description forthcoming.

### operand

- (NSExpression*) operand;
Availability: MacOS-X 10.4.0
Description forthcoming.

### variable

- (NSString*) variable;
Availability: MacOS-X 10.4.0
Description forthcoming.

## Instance Variables for NSExpression Class

### _type

@protected NSExpressionType _type;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up